Announcement

Collapse
No announcement yet.

opensource 1.8.15-1 inadvertent testing feedback

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • opensource 1.8.15-1 inadvertent testing feedback

    Hi!
    So, due to me being stupid, today we "tested" the 1.8.15-1 releases of "libapache2-svn" "libsvn1" "python-subversion" "subversion" on both wheezy and squeeze, in production.
    I know that these where not released as "ready for testing", but since I tested and got help from your Support people any way (Thanks again Jon!), I think I should post this here anyway:

    Before hastily reverting to 1.8.14-1, I noticed the following with "python-subversion" on Debian/wheezy (which I already sent in to info@ as an email, just if anyone should have seen that already):

    ###
    OS is up to date/no outstanding updates, but when using svn-mailer (native wheezy package) this happens since the update to 1.8.15-1 from 14-1:

    some_host:~# svn-mailer
    Oops, svn-mailer crashed. You may want to send the traceback to the author:

    Traceback (most recent call last):
    File "/usr/bin/svn-mailer", line 26, in <module>
    from svnmailer import cli, main, subversion
    File "/usr/lib/pymodules/python2.7/svnmailer/subversion.py", line 36, in <module>
    from svn import core as svn_core
    File "/usr/lib/python2.7/dist-packages/svn/core.py", line 26, in <module>
    from libsvn.core import *
    File "/usr/lib/python2.7/dist-packages/libsvn/core.py", line 28, in <module>
    _core = swig_import_helper()
    File "/usr/lib/python2.7/dist-packages/libsvn/core.py", line 24, in swig_import_helper
    _mod = imp.load_module('_core', fp, pathname, description)
    ImportError: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/lib/python2.7/dist-packages/libsvn/_core.so)
    some_host:~#

    This GLIBC dependency can't be satisfied on Wheezy.
    ###

    On squeeze there was a similar but slightly different error message, not refenrencing glibc but.. something else, sorry, as soon as I noticed that squeeze systems where affected as well I reverted and became a bit hasty, didn't keep the error message. Next time.
Working...
X